package com.lianxin.pubqq.extend;

import android.graphics.drawable.Drawable;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.RadioButton;

import com.lianxin.pubqq.R;
import com.lianxin.panqq.common.BaseActivity;

//注册
public class GuardActivity extends BaseActivity implements OnClickListener {


	@Override
	public void onCreate(Bundle savedInstanceState) {
		setContentView(R.layout.activity_guard);
		super.onCreate(savedInstanceState);
	//       getWindow().setBackgroundDrawableResource(R.drawable.activitybg);
	//       drawables = getCompoundDrawables();
	//       drawables[1].setBounds();
	 //      setCompoundDrawables(drawables[0],drawables[1],drawables[2].drawables[3]);	 
	/*	Drawable drawable = getResources().getDrawable(R.drawable.s_vit);
		drawable.setBounds(0, 0, (int)(drawable.getIntrinsicWidth()*0.5), 
		                         (int)(drawable.getIntrinsicHeight()*0.5));	*/
		
		initControl();
		initView();
		initData();
		setListener();		
	}

//	@Override
	protected void initControl() {

		RadioButton rbt_a1=(RadioButton)findViewById(R.id.rb_a1);
		RadioButton rbt_b1=(RadioButton)findViewById(R.id.rb_b1);
		RadioButton rbt_c1=(RadioButton)findViewById(R.id.rb_c1);
		RadioButton rbt_d1=(RadioButton)findViewById(R.id.rb_d1);
		RadioButton rbt_a2=(RadioButton)findViewById(R.id.rb_a2);		
		RadioButton rbt_a3=(RadioButton)findViewById(R.id.rb_a3);
		RadioButton rbt_b3=(RadioButton)findViewById(R.id.rb_b3);
		RadioButton rbt_c3=(RadioButton)findViewById(R.id.rb_c3);
		RadioButton rbt_d3=(RadioButton)findViewById(R.id.rb_d3);
		
	//	Drawable drawable = getResources().getDrawable(R.drawable.btn_bg_gray1);
		Drawable drawable = getResources().getDrawable(android.R.drawable.btn_radio);		
		drawable.setBounds(0,10,(int)(drawable.getIntrinsicWidth()*0.6),(int)(drawable.getIntrinsicWidth()*0.8));	
		rbt_a3.setCompoundDrawables(drawable,null,null,null);	
		rbt_b3.setCompoundDrawables(drawable,null,null,null);
		rbt_c3.setCompoundDrawables(drawable,null,null,null);	
		rbt_d3.setCompoundDrawables(drawable,null,null,null);
		rbt_a2.setCompoundDrawables(drawable,null,null,null);	
	
	}

//	@Override
	protected void initView() {

	}

//	@Override
	protected void initData() {
	}

//	@Override
	protected void setListener() {


	}

	@Override
	public void onClick(View v) {
		switch (v.getId()) {

				
		default:
			break;
		}
	}

	private void getRegister() {

	}


}
